Loading...
Searching...
No Matches
starpu_disk.h File Reference
`#include <sys/types.h>`
`#include <starpu_config.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_disk_ops

## Macros

#define | STARPU_DISK_SIZE_MIN

## Functions

void | starpu_disk_close (unsigned node, void *obj, size_t size)
void * | starpu_disk_open (unsigned node, void *pos, size_t size)
int | starpu_disk_register (struct starpu_disk_ops *func, void *parameter, starpu_ssize_t size)

## Variables

struct starpu_disk_ops | starpu_disk_stdio_ops
struct starpu_disk_ops | starpu_disk_hdf5_ops
struct starpu_disk_ops | starpu_disk_unistd_ops
struct starpu_disk_ops | starpu_disk_unistd_o_direct_ops
struct starpu_disk_ops | starpu_disk_leveldb_ops
int | starpu_disk_swap_node